Name: H5Dclose
Signature:
  herr_t `H5Dclose`(hid_t `dataset_id` )
Purpose:
  Closes the specified dataset.
Description:
  `H5Dclose` ends access to a dataset specified by `dataset_id` and releases resources used by it. Further use of the dataset identifier is illegal in calls to the dataset API.
Parameters:

hid_t `dataset_id` | IN: Identifier of the dataset to close access to.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5dclose_f

      SUBROUTINE h5dclose_f(dset_id, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: dset_id ! Dataset identifier
        INTEGER, INTENT(OUT) :: hdferr        ! Error code
                                              ! 0 on success and -1 on failure
      END SUBROUTINE h5dclose_f